Package ghidra.app.cmd.data

# Class CreateArrayCmd

java.lang.Object
ghidra.app.cmd.data.CreateArrayCmd

All Implemented Interfaces:
  `Command`

public class CreateArrayCmd extends Object implements Command
Command to create an array. All conflicting data will be cleared.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateArrayCmd(Address addr, int numElements, DataType dt, int elementLength)`
  Constructs a new command for creating arrays.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateArrayCmd

    public CreateArrayCmd(Address addr, int numElements, DataType dt, int elementLength)
    Constructs a new command for creating arrays.
    Parameters:
      `addr` - The address at which to create an array.
      `numElements` - the number of elements in the array to be created. A 0 element count is permitted but a minimum length will apply for all array instances.
      `dt` - the dataType of the elements in the array to be created.
      `elementLength` - the size of an element in the array. Only used for Dynamic datatype `dt` when `Dynamic.canSpecifyLength()` returns true.

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command